org.apache.poi.hssf.record

## Class FtPioGrbitSubRecord

- java.lang.Object
- - org.apache.poi.hssf.record.SubRecord
  - - org.apache.poi.hssf.record.FtPioGrbitSubRecord

- All Implemented Interfaces:
    Duplicatable

      public final class FtPioGrbitSubRecord
      extends SubRecord

  This structure appears as part of an Obj record that represents image display properties.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AUTO_LOAD_BIT` A bit that specifies whether the OLE server for the object is called to load the object's data automatically when the parent workbook is opened.
    `static int` | `AUTO_PICT_BIT` A bit that specifies whether the picture's aspect ratio is preserved when rendered in different views (Normal view, Page Break Preview view, Page Layout view and printing).
    `static int` | `CAMERA_BIT` A bit that specifies whether this is a camera picture.
    `static int` | `CTL_BIT` A bit that specifies whether this object is an ActiveX control.
    `static int` | `DDE_BIT` A bit that specifies whether the pictFmla field of the Obj record that contains this FtPioGrbit specifies a DDE reference.
    `static int` | `DEFAULT_SIZE_BIT` A bit that specifies whether this picture's size has been explicitly set.
    `static int` | `ICON_BIT` A bit that specifies whether the picture is displayed as an icon.
    `static short` | `length`
    `static int` | `PRINT_CALC_BIT` A bit that specifies whether this object is expected to be updated on print to reflect the values in the cell associated with the object.
    `static int` | `PRSTM_BIT` A bit that specifies whether the object data are stored in an embedding storage (= 0) or in the controls stream (ctls) (= 1).
    `static short` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FtPioGrbitSubRecord()` Construct a new `FtPioGrbitSubRecord` and fill its data with the default values
    `FtPioGrbitSubRecord(FtPioGrbitSubRecord other)`
    `FtPioGrbitSubRecord(LittleEndianInput in, int size)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `FtPioGrbitSubRecord` | `clone()` Deprecated.
    `FtPioGrbitSubRecord` | `copy()`
    `protected int` | `getDataSize()`
    `boolean` | `getFlagByBit(int bitmask)`
    `short` | `getFlags()`
    `short` | `getSid()`
    `void` | `serialize(LittleEndianOutput out)` Serialize the record data into the supplied array of bytes
    `void` | `setFlagByBit(int bitmask, boolean enabled)` Use one of the bitmasks MANUAL_ADVANCE_BIT ...
    `void` | `setFlags(short flags)`
    `java.lang.String` | `toString()` Convert this record to string.

    - ### Methods inherited from class org.apache.poi.hssf.record.SubRecord

      `createSubRecord, isTerminating, serialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

    - #### length

          public static final short length

      See Also:
        Constant Field Values

    - #### AUTO_PICT_BIT

          public static final int AUTO_PICT_BIT

      A bit that specifies whether the picture's aspect ratio is preserved when rendered in different views (Normal view, Page Break Preview view, Page Layout view and printing).
      See Also:
        Constant Field Values

    - #### DDE_BIT

          public static final int DDE_BIT

      A bit that specifies whether the pictFmla field of the Obj record that contains this FtPioGrbit specifies a DDE reference.
      See Also:
        Constant Field Values

    - #### PRINT_CALC_BIT

          public static final int PRINT_CALC_BIT

      A bit that specifies whether this object is expected to be updated on print to reflect the values in the cell associated with the object.
      See Also:
        Constant Field Values

    - #### ICON_BIT

          public static final int ICON_BIT

      A bit that specifies whether the picture is displayed as an icon.
      See Also:
        Constant Field Values

    - #### CTL_BIT

          public static final int CTL_BIT

      A bit that specifies whether this object is an ActiveX control. It MUST NOT be the case that both fCtl and fDde are equal to 1.
      See Also:
        Constant Field Values

    - #### PRSTM_BIT

          public static final int PRSTM_BIT

      A bit that specifies whether the object data are stored in an embedding storage (= 0) or in the controls stream (ctls) (= 1).
      See Also:
        Constant Field Values

    - #### CAMERA_BIT

          public static final int CAMERA_BIT

      A bit that specifies whether this is a camera picture.
      See Also:
        Constant Field Values

    - #### DEFAULT_SIZE_BIT

          public static final int DEFAULT_SIZE_BIT

      A bit that specifies whether this picture's size has been explicitly set. 0 = picture size has been explicitly set, 1 = has not been set
      See Also:
        Constant Field Values

    - #### AUTO_LOAD_BIT

          public static final int AUTO_LOAD_BIT

      A bit that specifies whether the OLE server for the object is called to load the object's data automatically when the parent workbook is opened.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FtPioGrbitSubRecord

          public FtPioGrbitSubRecord()

      Construct a new `FtPioGrbitSubRecord` and fill its data with the default values

    - #### FtPioGrbitSubRecord

          public FtPioGrbitSubRecord(FtPioGrbitSubRecord other)

    - #### FtPioGrbitSubRecord

          public FtPioGrbitSubRecord(LittleEndianInput in,
                                     int size)

  - ### Method Detail

    - #### setFlagByBit

          public void setFlagByBit(int bitmask,
                                   boolean enabled)

      Use one of the bitmasks MANUAL_ADVANCE_BIT ... CURSOR_VISIBLE_BIT
      Parameters:
        `bitmask` - the bitmask to apply
        `enabled` - if true, the bitmask will be or-ed, otherwise the bits set in the mask will be removed from the flags

    - #### getFlagByBit

          public boolean getFlagByBit(int bitmask)

    - #### toString

          public java.lang.String toString()

      Convert this record to string. Used by BiffViewer and other utilities.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Serialize the record data into the supplied array of bytes
      Specified by:
        `serialize` in class `SubRecord`
      Parameters:
        `out` - the stream to serialize into

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `SubRecord`
      Returns:
        the size of the data for this record (which is always 4 bytes less than the total record size). Note however, that ushort encoded after the record sid is usually but not always the data size.

    - #### getSid

          public short getSid()

      Returns:
        id of this record.

    - #### clone

          @Deprecated
           @Removal(version="5.0.0")
          public FtPioGrbitSubRecord clone()

      Deprecated.
      Specified by:
        `clone` in class `SubRecord`

    - #### copy

          public FtPioGrbitSubRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `SubRecord`
      Returns:
        a deep copy of the implementing class / instance

    - #### getFlags

          public short getFlags()

    - #### setFlags

          public void setFlags(short flags)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.